Loading...
Searching...
No Matches
Opm::GroupEconomicLimitsChecker< Scalar, IndexTraits > Class Template Reference

## Public Member Functions

| GroupEconomicLimitsChecker (const BlackoilWellModelGeneric< Scalar, IndexTraits > &well_model, WellTestState &well_test_state, const Group &group, const double simulation_time, const int report_step_idx, DeferredLogger &deferred_logger)
void | closeWells ()
bool | minGasRate ()
bool | minOilRate ()
bool | waterCut ()
bool | GOR ()
bool | WGR ()
void | doWorkOver ()
bool | endRun ()
int | numProducersOpenInitially ()
int | numProducersOpen ()
void | activateEndRun ()
std::string | message_separator (const char sep_char=' *', const size_t sep_length=110) const

## Static Public Attributes

static constexpr int | NUM_PHASES = 3

The documentation for this class was generated from the following files:

- opm/simulators/wells/GroupEconomicLimitsChecker.hpp
- opm/simulators/wells/GroupEconomicLimitsChecker.cpp